Rename Coupon
curl --request PUT \
--url https://uat-api.clinkbill.com/api/coupon/{couponId}/name \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--header 'X-Timestamp: <x-timestamp>' \
--data '
{
"newName": "Summer Sale 2026"
}
'HttpResponse<String> response = Unirest.put("https://uat-api.clinkbill.com/api/coupon/{couponId}/name")
.header("X-Timestamp", "<x-timestamp>")
.header("X-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"newName\": \"Summer Sale 2026\"\n}")
.asString();import requests
url = "https://uat-api.clinkbill.com/api/coupon/{couponId}/name"
payload = { "newName": "Summer Sale 2026" }
headers = {
"X-Timestamp": "<x-timestamp>",
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'X-Timestamp': '<x-timestamp>',
'X-API-KEY': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({newName: 'Summer Sale 2026'})
};
fetch('https://uat-api.clinkbill.com/api/coupon/{couponId}/name', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"code": 200,
"msg": "success"
}"<string>"Coupon
Rename Coupon
Update the display name of a coupon.
PUT
/
coupon
/
{couponId}
/
name
Rename Coupon
curl --request PUT \
--url https://uat-api.clinkbill.com/api/coupon/{couponId}/name \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--header 'X-Timestamp: <x-timestamp>' \
--data '
{
"newName": "Summer Sale 2026"
}
'HttpResponse<String> response = Unirest.put("https://uat-api.clinkbill.com/api/coupon/{couponId}/name")
.header("X-Timestamp", "<x-timestamp>")
.header("X-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"newName\": \"Summer Sale 2026\"\n}")
.asString();import requests
url = "https://uat-api.clinkbill.com/api/coupon/{couponId}/name"
payload = { "newName": "Summer Sale 2026" }
headers = {
"X-Timestamp": "<x-timestamp>",
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'X-Timestamp': '<x-timestamp>',
'X-API-KEY': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({newName: 'Summer Sale 2026'})
};
fetch('https://uat-api.clinkbill.com/api/coupon/{couponId}/name', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"code": 200,
"msg": "success"
}"<string>"Authorizations
Your secret API key obtained from the Clink dashboard (Developers section)
Headers
Current timestamp in milliseconds since Unix epoch (required for request signing)
Example:
"1783513683000"
Path Parameters
Unique identifier of the coupon
Body
application/json
New coupon name
Maximum string length:
40